@ ECHO OFF
cls
echo. -initiate installation-
echo.
echo.              --The New Breed for Doom2-- 
echo.              --    Development Kit    -- 
echo.
echo.              This will install The New Breed development kit.
echo.              Easy setup and text files so you can create your 
echo.              own NewBreed add-ons.
echo.
echo.              This file is dated 02/09/98
echo.              
echo. REQUIRES:    -Doom2 version 1.9
echo.
echo.              -about 5-10 megs of disc space.
echo.
echo.              -must have all the files contained in the 
echo.               nbdev.zip in your Doom][ directory.
echo.
echo.
choice "Have you fulfilled these requirements?"
if errorlevel=2 goto end
if errorlevel=1 goto install

:install
cls
copy DOOM2.EXE DOOMHACK.EXE
Dehacked -load breed2.deh
ren DOOMHACK.EXE BREED.EXE
cls
echo. Please wait...
echo.
deusf -as newbreed.wad
cls
echo. Use NEWBREED.WAD for alternative textures in your editor.
echo.
echo. NEWBREED.HTM and NEWBREED.TXT both show what has changed in
echo. your editor. A lot of items are different, so be sure to read it.
echo.
echo. Open IE or Netscape and open NEWBREED.HTM file or open the NEWBREED.TXT
echo. in a word editor, like Notepad or EDIT (from a DOS prompt). You might
echo. want to print it for easier reference, or have the HTM document open
echo. while you edit, both located in your DOOM2\NEWBREED folder. 
echo.
echo. Don't forget to try Death Match style with yer buddies! Run DMBREED!
echo. 
echo. If you want to play your maps, make sure both computers have Breed 
echo. installed, and that both computers have the map you've made. Edit 
echo. DMBREED.BAT, and add your map there. I put an example in there if 
echo. you're not sure how to do it. If you need help, email me!
echo. 
echo. To play your maps with The New Breed, at the DOS prompt, 
echo. type MYMAP (mapname).
echo.
echo. So if your map is called UACKILL.WAD, type MYMAP UACKILL. 
echo. Don't put the .WAD extension, not needed for this.
echo.
echo. Press enter to complete setup...
pause > nul
cls
echo.
echo. Moving Files to DOOM2\NEWBREED, Please Wait...
echo.
md newbreed
move newbreed.wad newbreed > null
move newbreed.htm newbreed > null
move newbreed.txt newbreed > null
cls
echo.
choice Do you want me to remove unnecessary files used ONLY for installation?
if errorlevel=2 goto skip
if errorlevel=1 goto continue

:continue
del dehacked.exe
del breed2.deh
ren destall2.bat destall.bat
del destall1.bat
cls
echo.
echo. Thanks for trying The New Breed!!
echo. Email andyboy@atl.mindspring.com for assistance,
echo. comments, bugs, praises and burns. 
echo.
echo. Type HELP to repeat the last screen at any time.
echo. 
echo. Type DESTALL to destall the New Breed Development Kit.
echo.
echo. Press enter to play The New Breed!
pause > nul
breed -file NEWBREED\NEWBREED.WAD
exit

:skip
ren destall1.bat destall.bat
del destall2.bat
cls
echo.
echo. Thanks for trying The New Breed!!
echo. Email andyboy@atl.mindspring.com for assistance,
echo. comments, bugs, praises and burns. 
echo.
echo. Type HELP to repeat the last screen at any time.
echo. 
echo. Type DESTALL to destall the New Breed Development Kit.
echo.
echo. Press enter to play The New Breed!
pause > nul
breed -file NEWBREED\NEWBREED.WAD
exit

:end
cls
echo. Please upgrade to version 1.9
echo. move the files from the nbdevkit.zip
echo. to the Doom2 directory or
echo. make enough disc space and try again.
echo.
